Bug 1295055 - Review Request: python-flake8-import-order - Flake8 plugin for checking order of imports in Python code
Review Request: python-flake8-import-order - Flake8 plugin for checking order...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-01 08:00 EST by Ville Skyttä
Modified: 2016-01-12 03:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 03:01:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2016-01-01 08:00:46 EST
Spec URL: https://scop.fedorapeople.org/packages/python-flake8-import-order.spec
SRPM URL: https://scop.fedorapeople.org/packages/python-flake8-import-order-0.6.1-1.fc23.src.rpm
Description: Flake8 plugin for checking order of imports in Python code
Fedora Account System Username: scop
Comment 1 gil cattaneo 2016-01-01 09:21:12 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 16 files have unknown
     license. Detailed output of licensecheck in /home/gil/1295055-python-
     flake8-import-order/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-flake8-import-order , python3-flake8-import-order
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-flake8-import-order-0.6.1-1.fc24.noarch.rpm
          python3-flake8-import-order-0.6.1-1.fc24.noarch.rpm
          python-flake8-import-order-0.6.1-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-flake8-import-order (rpmlib, GLIBC filtered):
    python(abi)
    python-flake8

python3-flake8-import-order (rpmlib, GLIBC filtered):
    python(abi)
    python3-flake8



Provides
--------
python2-flake8-import-order:
    python-flake8-import-order
    python-flake8-import-order(x86-32)
    python2-flake8-import-order

python3-flake8-import-order:
    python3-flake8-import-order



Source checksums
----------------
https://pypi.python.org/packages/source/f/flake8-import-order/flake8-import-order-0.6.1.tar.gz :
  CHECKSUM(SHA256) this package     : 91084b5385092d31900b19a60661c686f7b8072f269c01885d917a91d4ab25e3
  CHECKSUM(SHA256) upstream package : 91084b5385092d31900b19a60661c686f7b8072f269c01885d917a91d4ab25e3


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1295055 --plugins Python -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 gil cattaneo 2016-01-01 09:29:32 EST
(NON blocking) Issues:

[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

License is available @ https://github.com/public/flake8-import-order/blob/84dc38b7ad210f01867ab5ea391984f8cf7d9a3a/COPYING but it is not present in the source archive
Please, report to upstream

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 16 files have unknown
     license. Detailed output of licensecheck in /home/gil/1295055-python-
     flake8-import-order/licensecheck.txt
Please, change license field in ASL 2.0 and LGPLv3 and report to upstream. 
install also ASL license available @ http://www.apache.org/licenses/LICENSE-2.0.txt. 

[!]: License file installed when any subpackage combination is installed.

[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Package does not include license text files separate from upstream.

Please, ask to upstream to include copy of the license in source directory structure https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text
Comment 3 gil cattaneo 2016-01-01 09:31:04 EST
... forgot remove unnecessary "rm -rf $RPM_BUILD_ROOT" in install section
Comment 4 gil cattaneo 2016-01-01 09:34:56 EST
(In reply to gil cattaneo from comment #2)

> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Apache (v2.0)", "Unknown or generated". 16 files have unknown
>      license. Detailed output of licensecheck in /home/gil/1295055-python-
>      flake8-import-order/licensecheck.txt
> Please, change license field in ASL 2.0 and LGPLv3 and report to upstream. 
> install also ASL license available @
> http://www.apache.org/licenses/LICENSE-2.0.txt. 
> 
Please, ask to upstream to add license headers where is missing
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
Comment 5 Ville Skyttä 2016-01-01 14:58:31 EST
Thanks for the review.

License file inclusion already reported upstream:
https://github.com/public/flake8-import-order/pull/52

Rest of the license stuff reported as well, ASL 2.0 is almost certainly a bug:
https://github.com/public/flake8-import-order/issues/55
(...and __about__.py doesn't contain anything copyrightable anyway I think.)

rm -rf $RPM_BUILD_ROOT is not unnecessary:
https://fedorahosted.org/rpmdevtools/ticket/25
https://bugzilla.redhat.com/show_bug.cgi?id=807857

You mentioned the findings being non-blocking but the fedora-review flag is still set to "?", was that on purpose or should it have been set to "+" already?
Comment 6 gil cattaneo 2016-01-01 15:27:52 EST
about the flag, i needed some clarification, you've given
now seem all ok
approved

can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1289726 ?
Comment 7 Ville Skyttä 2016-01-01 15:49:25 EST
(In reply to gil cattaneo from comment #6)
> can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1289726

Will do probably tomorrow.
Comment 8 Gwyn Ciesla 2016-01-02 13:08:00 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-flake8-import-order
Comment 9 Fedora Update System 2016-01-02 15:45:22 EST
python-flake8-import-order-0.6.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1afa7a3d77
Comment 10 Fedora Update System 2016-01-03 19:27:22 EST
python-flake8-import-order-0.6.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1afa7a3d77
Comment 11 Fedora Update System 2016-01-12 03:01:30 EST
python-flake8-import-order-0.6.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.